org.mariadb.jdbc.internal.util

## Class Options

- java.lang.Object
- - org.mariadb.jdbc.internal.util.Options

    public class Options
    extends Object

### Field Summary

Fields
`boolean` `allowLocalInfile`
`boolean` `allowMultiQueries`
`boolean` `assureReadOnly`
`boolean` `autoReconnect`
`boolean` `cacheCallableStmts`
`boolean` `cachePrepStmts`
`Integer` `callableStmtCacheSize`
`String` `connectionAttributes`
`Integer` `connectTimeout`
`boolean` `continueBatchOnError`
`boolean` `createDatabaseIfNotExist`
`boolean` `dumpQueriesOnException`
`String` `enabledSslCipherSuites`
`String` `enabledSslProtocolSuites`
`boolean` `enablePacketDebug`
`boolean` `failOnReadOnly`
`int` `failoverLoopRetries`
`boolean` `interactiveClient`
`boolean` `jdbcCompliantTruncation`
`String` `keyPassword`
`String` `keyStore`
`String` `keyStorePassword`
`boolean` `killFetchStmtOnClose`
`int` `loadBalanceBlacklistTimeout`
`String` `localSocket`
`String` `localSocketAddress`
`boolean` `log`
`boolean` `maximizeMysqlCompatibility`
`Integer` `maxQuerySizeToLog`
`boolean` `nullCatalogMeansCurrent`
`String` `password`
`String` `passwordCharacterEncoding`
`boolean` `pinGlobalTxToPhysicalConnection`
`String` `pipe`
`Integer` `prepStmtCacheSize`
`Integer` `prepStmtCacheSqlLimit`
`boolean` `profileSql`
`int` `retriesAllDown`
`boolean` `rewriteBatchedStatements`
`String` `serverSslCert`
`String` `serverTimezone`
`String` `sessionVariables`
`String` `sharedMemory`
`Long` `slowQueryThresholdNanos`
`String` `socketFactory`
`Integer` `socketTimeout`
`boolean` `tcpAbortiveClose`
`boolean` `tcpKeepAlive`
`boolean` `tcpNoDelay`
`Integer` `tcpRcvBuf`
`Integer` `tcpSndBuf`
`boolean` `tinyInt1isBit`
`boolean` `trustServerCertificate`
`String` `trustStore`
`String` `trustStorePassword`
`boolean` `useBatchMultiSend`
`int` `useBatchMultiSendNumber`
`boolean` `useCompression`
`boolean` `useFractionalSeconds`
`boolean` `useLegacyDatetimeCode`
`boolean` `useOldAliasMetadataBehavior`
`boolean` `usePipelineAuth`
`String` `user`
`boolean` `useServerPrepStmts`
`boolean` `useSsl`
`int` `validConnectionTimeout`
`boolean` `yearIsDateType`

### Constructor Summary

Constructors
Constructor and Description
`Options()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### user

    public String user

#### password

    public String password

#### trustServerCertificate

    public boolean trustServerCertificate

#### serverSslCert

    public String serverSslCert

#### trustStore

    public String trustStore

#### trustStorePassword

    public String trustStorePassword

#### keyStore

    public String keyStore

#### keyStorePassword

    public String keyStorePassword

#### keyPassword

    public String keyPassword

#### enabledSslProtocolSuites

    public String enabledSslProtocolSuites

#### useFractionalSeconds

    public boolean useFractionalSeconds

#### pinGlobalTxToPhysicalConnection

    public boolean pinGlobalTxToPhysicalConnection

#### socketFactory

    public String socketFactory

#### connectTimeout

    public Integer connectTimeout

#### pipe

    public String pipe

#### localSocket

    public String localSocket

#### sharedMemory

    public String sharedMemory

#### tcpNoDelay

    public boolean tcpNoDelay

#### tcpKeepAlive

    public boolean tcpKeepAlive

#### tcpRcvBuf

    public Integer tcpRcvBuf

#### tcpSndBuf

    public Integer tcpSndBuf

#### tcpAbortiveClose

    public boolean tcpAbortiveClose

#### localSocketAddress

    public String localSocketAddress

#### socketTimeout

    public Integer socketTimeout

#### allowMultiQueries

    public boolean allowMultiQueries

#### rewriteBatchedStatements

    public boolean rewriteBatchedStatements

#### useCompression

    public boolean useCompression

#### interactiveClient

    public boolean interactiveClient

#### passwordCharacterEncoding

    public String passwordCharacterEncoding

#### useSsl

    public boolean useSsl

#### enabledSslCipherSuites

    public String enabledSslCipherSuites

#### sessionVariables

    public String sessionVariables

#### tinyInt1isBit

    public boolean tinyInt1isBit

#### yearIsDateType

    public boolean yearIsDateType

#### createDatabaseIfNotExist

    public boolean createDatabaseIfNotExist

#### serverTimezone

    public String serverTimezone

#### nullCatalogMeansCurrent

    public boolean nullCatalogMeansCurrent

#### dumpQueriesOnException

    public boolean dumpQueriesOnException

#### useOldAliasMetadataBehavior

    public boolean useOldAliasMetadataBehavior

#### allowLocalInfile

    public boolean allowLocalInfile

#### cachePrepStmts

    public boolean cachePrepStmts

#### prepStmtCacheSize

    public Integer prepStmtCacheSize

#### prepStmtCacheSqlLimit

    public Integer prepStmtCacheSqlLimit

#### useLegacyDatetimeCode

    public boolean useLegacyDatetimeCode

#### maximizeMysqlCompatibility

    public boolean maximizeMysqlCompatibility

#### useServerPrepStmts

    public boolean useServerPrepStmts

#### continueBatchOnError

    public boolean continueBatchOnError

#### jdbcCompliantTruncation

    public boolean jdbcCompliantTruncation

#### cacheCallableStmts

    public boolean cacheCallableStmts

#### callableStmtCacheSize

    public Integer callableStmtCacheSize

#### connectionAttributes

    public String connectionAttributes

#### useBatchMultiSend

    public boolean useBatchMultiSend

#### useBatchMultiSendNumber

    public int useBatchMultiSendNumber

#### usePipelineAuth

    public boolean usePipelineAuth

#### killFetchStmtOnClose

    public boolean killFetchStmtOnClose

#### enablePacketDebug

    public boolean enablePacketDebug

#### log

    public boolean log

#### profileSql

    public boolean profileSql

#### maxQuerySizeToLog

    public Integer maxQuerySizeToLog

#### slowQueryThresholdNanos

    public Long slowQueryThresholdNanos

#### assureReadOnly

    public boolean assureReadOnly

#### autoReconnect

    public boolean autoReconnect

#### failOnReadOnly

    public boolean failOnReadOnly

#### retriesAllDown

    public int retriesAllDown

#### validConnectionTimeout

    public int validConnectionTimeout

#### loadBalanceBlacklistTimeout

    public int loadBalanceBlacklistTimeout

#### failoverLoopRetries

    public int failoverLoopRetries

### Constructor Detail

#### Options

    public Options()

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`